Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Ubuntu 12.4 non installa più pacchetti aggiornamento
#1
Ciao a tutti.
Avrei bisogno del vostro aiuto. Ho provato a cercare nel forum un caso analogo al mio già risolto, ma non ci sono riuscito (le situazioni che ho trovato mi sono sembrate differenti). Il mio problema: ho Ubuntu 12.4 con classic remix e il Gestore Aggiornamenti, dopo aver funzionato correttamente fino a poco tempo fa, da un po' di tempo trova regolarmente pacchetti da installare, li scarica, prova ad installarli ma non ci riesce. Ho riprovato diverse volte anche in giorni diversi, ma dà sempre il solito errore. Ora ha accumulato 125 aggiornamenti.
Il messaggio di errore di Update Manager è il seguente:

Installazione o la rimozione di un pacchetto software non riuscita.

E da Dettagli:

installArchives() failed:  Estrazione dei template dai pacchetti: 23%% Estrazione dei template dai pacchetti: 46%% Estrazione dei template dai pacchetti: 70%% Estrazione dei template dai pacchetti: 93%% Estrazione dei template dai pacchetti: 100%%
Preconfigurazione dei pacchetti in corso
 Estrazione dei template dai pacchetti: 23%% Estrazione dei template dai pacchetti: 46%% Estrazione dei template dai pacchetti: 70%% Estrazione dei template dai pacchetti: 93%% Estrazione dei template dai pacchetti: 100%%
Preconfigurazione dei pacchetti in corso
 Estrazione dei template dai pacchetti: 23%% Estrazione dei template dai pacchetti: 46%% Estrazione dei template dai pacchetti: 70%% Estrazione dei template dai pacchetti: 93%% Estrazione dei template dai pacchetti: 100%%
Preconfigurazione dei pacchetti in corso
 Estrazione dei template dai pacchetti: 23%% Estrazione dei template dai pacchetti: 46%% Estrazione dei template dai pacchetti: 70%% Estrazione dei template dai pacchetti: 93%% Estrazione dei template dai pacchetti: 100%%
Preconfigurazione dei pacchetti in corso
dpkg: error: file triggers record mentions illegal package name `libglib2.0,0' (for interest in file `/usr/share/glib-2.0/schemas'): package name in specifier 'libglib2.0,0' is illegal: character `,' not allowed (only letters, digits and characters `-+._')
Error in function:


Potete aiutarmi a correggere questo errore ?
Grazie mille
Ciao

 

 
Davide       [img]images/smilies/lightbulb.gif[/img]
Cita messaggio
#2
ciao
non sono molto esperto ma guarda la mia  [img]images/smilies/wink.gif[/img] ricerca che ha portato

http://askubuntu.com/questions/134283/wh...bglib2-0-0

 
Cita messaggio
#3
Io non sono esperto per niente ! Ho dato un'occhiata ma non mi è sembrato un caso analogo al mio ed ho timore di combinar guai senza istruzioni un po' più mirate alla risoluzione del problema che mi si è presentato...
Grazie lo stesso.
Ciao

 
Davide       [img]images/smilies/lightbulb.gif[/img]
Cita messaggio
#4
Salve
Se ho ben capito,il problema sembrerebbe essere dato solo da una virgola di troppo

is illegal: character `,'

Ora controlliamo se davvero presente e proviamo a cancellarla
Da terminale apri il file
Codice:
sudo gedit /var/lib/dpkg/triggers/File
Nella finestra di gedit che si apre,click sulla lente,si apre il cerca,quindi trova ,
Se presente viene evidenziata, probabile nel percorso

/usr/share/glib-2.0/schemas libglib2.0-0

allora la cancelli ,salvi il tutto ,riavvia e riprova ad aggiornare.

Cita messaggio
#5
Perfetto ! Era proprio quella virgola... ho fatto come mi hai consigliato e tutto è tornato a posto !
Grazie mille brunik ! [img]images/smilies/at.gif[/img]
Aggiungo RISOLTO.
Buona giornata a tutti
Davide       [img]images/smilies/lightbulb.gif[/img]
Cita messaggio
#6
Di niente ,importante che hai risolto Exclamation

Idea

Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)